ports/opt (3.4): [notify] python-pip: update to remove bootstrap code dependency change python -> python-setuptools

crux at crux.nu crux at crux.nu
Sun Jul 1 11:40:02 UTC 2018


commit 7f99b6b1e9ce543d42ad22404391641f14fae7ea
Author: Danny Rawlins <monster.romster at gmail.com>
Date:   Mon Jul 2 07:02:42 2018 +1000

    [notify] python-pip: update to remove bootstrap code dependency change python -> python-setuptools

diff --git a/python-pip/.md5sum b/python-pip/.md5sum
index 9d5d3475a..0506d3a62 100644
--- a/python-pip/.md5sum
+++ b/python-pip/.md5sum
@@ -1,2 +1 @@
-a73d0534575b904d17913889dce5bd99  get-pip.py
 83a177756e2c801d0b3a6f7b0d4f3f7e  pip-10.0.1.tar.gz
diff --git a/python-pip/.signature b/python-pip/.signature
index 50820327c..2a8774d9c 100644
--- a/python-pip/.signature
+++ b/python-pip/.signature
@@ -1,6 +1,5 @@
 untrusted comment: verify with /etc/ports/opt.pub
-RWSE3ohX2g5d/TLtaV5MjlMCFGq8EV97f3RLZzwPOTme4NOapyGJsjfvjGHDnVmFmCQkeGhxnUmT9NvTvbv1Q5bsdCdF13aEnwY=
-SHA256 (Pkgfile) = 14b88cc29c44bf2dd95ac381916b180c862cf7907ca6f99e48ae1f0b68295aed
+RWSE3ohX2g5d/ZODlf1IFDP9GRnlFJQdA9fmEoi8+rg1m5hRanEDiPwZD33a+/+llhWgGZtXX1r/xtnrRc/WlTm+MEckm12NzgI=
+SHA256 (Pkgfile) = c9ca8bdf39b502192595d8f81597916d44c3f7a743db11dcb41774d517235f67
 SHA256 (.footprint) = 8fb87fd6928b2d4a73be9365e55efb57487dab61fd0494fddf01d9ed031d50f1
 SHA256 (pip-10.0.1.tar.gz) = f2bd08e0cd1b06e10218feaf6fef299f473ba706582eb3bd9d52203fdbd7ee68
-SHA256 (get-pip.py) = c21805790f7fa317f09798303281e33f9559096123f713e90a22567c88d28d40
diff --git a/python-pip/Pkgfile b/python-pip/Pkgfile
index 7fcf86b26..3c72b86c9 100644
--- a/python-pip/Pkgfile
+++ b/python-pip/Pkgfile
@@ -1,44 +1,20 @@
 # Description: A tool for installing and managing Python packages.
 # URL: https://pypi.python.org/pypi/pip/
 # Maintainer: Danny Rawlins, crux at romster dot me
-# Depends on: python
+# Depends on: python-setuptools
 
 name=python-pip
 version=10.0.1
-release=1
-source=(https://files.pythonhosted.org/packages/source/${name:7:1}/${name#*-}/${name#*-}-$version.tar.gz
-	https://crux.ster.zone/downloads/get-pip.py
-#	https://bootstrap.pypa.io/get-pip.py
-)
+release=2
+source=(https://files.pythonhosted.org/packages/source/${name:7:1}/${name#*-}/${name#*-}-$version.tar.gz)
 
 build() {
 	cd ${name#*-}-$version
 
-	if [ "$(pkginfo -i | egrep -c '^python-(setuptools|appdirs|pyparsing|six|packaging) ')" != 5 ]; then
-		printf "\e[031mWarning: $name now requires python-setuptools to function and can not be added,
-as a dependency to $name as this will cause a cyclic dependency loop.
-Please prt-get depinst python-setuptools to use $name.\033[0m\n"
-	fi
+	/usr/bin/python setup.py build
 
-	if [ "$(pkginfo -i | egrep -c '^python-(setuptools|appdirs|pyparsing|six|pip|packaging) ')" != 6 ]; then
-		install -d build
-		sed -i 's/"--upgrade"/"--upgrade", "--upgrade-strategy", "only-if-needed"/' $SRC/get-pip.py
-		/usr/bin/python $SRC/get-pip.py --root=$SRC/build
-
-		local PYTHONVERSION=$(/usr/bin/python -c 'import sys; print("%s.%s" % sys.version_info[:2])')
-
-		PYTHONPATH=$SRC/build/usr/lib/python$PYTHONVERSION/site-packages \
-			/usr/bin/python setup.py build
-
-		PYTHONPATH=$SRC/build/usr/lib/python$PYTHONVERSION/site-packages \
-			/usr/bin/python setup.py install \
-			--prefix=/usr --root=$PKG --optimize=1
-	else
-		/usr/bin/python setup.py build
-
-		/usr/bin/python setup.py install \
-			--prefix=/usr --root=$PKG --optimize=1
-	fi
+	/usr/bin/python setup.py install \
+		--prefix=/usr --root=$PKG --optimize=1
 
 	chmod -R og-w $PKG
 }


More information about the CRUX mailing list